package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmOrgCalMstForm extends HrmBaseForm {
  private String calendarType;
  
  private String startMonth;
  
  private String duration;
  
  private String[] txtSlabNumber;
  
  private String[] txtSlabBeginMonth;
  
  private String[] txtDuration;
  
  private String[] txtSiteId;
  
  private String selectAll;
  
  private ArrayList arrHrmCalDtl = new ArrayList();
  
  private String calendarTypeId;
  
  private String disabcalendarType;
  
  private String disabduration;
  
  private String disabselectAll;
  
  private String disabstartMonth;
  
  private String disabtxtDuration;
  
  private String disabtxtSlabBeginMonth;
  
  private String disabtxtSlabNumber;
  
  private String butCalType;
  
  private String disabbutCalType;
  
  private String butCalendarTab;
  
  private String disabbutCalendarTab;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getCalendarType() {
    return this.calendarType;
  }
  
  public void setCalendarType(String newCalendarType) {
    this.calendarType = newCalendarType;
  }
  
  public String getStartMonth() {
    return this.startMonth;
  }
  
  public void setStartMonth(String newStartMonth) {
    this.startMonth = newStartMonth;
  }
  
  public String getDuration() {
    return this.duration;
  }
  
  public void setDuration(String newDuration) {
    this.duration = newDuration;
  }
  
  public String[] getTxtSlabNumber() {
    return this.txtSlabNumber;
  }
  
  public void setTxtSlabNumber(String[] newTxtSlabNumber) {
    this.txtSlabNumber = newTxtSlabNumber;
  }
  
  public String[] getTxtSlabBeginMonth() {
    return this.txtSlabBeginMonth;
  }
  
  public void setTxtSlabBeginMonth(String[] newTxtSlabBeginMonth) {
    this.txtSlabBeginMonth = newTxtSlabBeginMonth;
  }
  
  public String[] getTxtDuration() {
    return this.txtDuration;
  }
  
  public void setTxtDuration(String[] newTxtDuration) {
    this.txtDuration = newTxtDuration;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public ArrayList getArrHrmCalDtl() {
    return this.arrHrmCalDtl;
  }
  
  public void setArrHrmCalDtl(ArrayList newArrHrmCalDtl) {
    this.arrHrmCalDtl = newArrHrmCalDtl;
  }
  
  public String getCalendarTypeId() {
    return this.calendarTypeId;
  }
  
  public void setCalendarTypeId(String newCalendarTypeId) {
    this.calendarTypeId = newCalendarTypeId;
  }
  
  public String[] getTxtSiteId() {
    return this.txtSiteId;
  }
  
  public void setTxtSiteId(String[] newTxtSiteId) {
    this.txtSiteId = newTxtSiteId;
  }
  
  public String getDisabcalendarType() {
    return this.disabcalendarType;
  }
  
  public void setDisabcalendarType(String newDisabcalendarType) {
    this.disabcalendarType = newDisabcalendarType;
  }
  
  public String getDisabduration() {
    return this.disabduration;
  }
  
  public void setDisabduration(String newDisabduration) {
    this.disabduration = newDisabduration;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String getDisabstartMonth() {
    return this.disabstartMonth;
  }
  
  public void setDisabstartMonth(String newDisabstartMonth) {
    this.disabstartMonth = newDisabstartMonth;
  }
  
  public String getDisabtxtDuration() {
    return this.disabtxtDuration;
  }
  
  public void setDisabtxtDuration(String newDisabtxtDuration) {
    this.disabtxtDuration = newDisabtxtDuration;
  }
  
  public String getDisabtxtSlabBeginMonth() {
    return this.disabtxtSlabBeginMonth;
  }
  
  public void setDisabtxtSlabBeginMonth(String newDisabtxtSlabBeginMonth) {
    this.disabtxtSlabBeginMonth = newDisabtxtSlabBeginMonth;
  }
  
  public String getDisabtxtSlabNumber() {
    return this.disabtxtSlabNumber;
  }
  
  public void setDisabtxtSlabNumber(String newDisabtxtSlabNumber) {
    this.disabtxtSlabNumber = newDisabtxtSlabNumber;
  }
  
  public String getButCalType() {
    return this.butCalType;
  }
  
  public void setButCalType(String newButCalType) {
    this.butCalType = newButCalType;
  }
  
  public String getDisabbutCalType() {
    return this.disabbutCalType;
  }
  
  public void setDisabbutCalType(String newDisabbutCalType) {
    this.disabbutCalType = newDisabbutCalType;
  }
  
  public String getButCalendarTab() {
    return this.butCalendarTab;
  }
  
  public void setButCalendarTab(String newButCalendarTab) {
    this.butCalendarTab = newButCalendarTab;
  }
  
  public String getDisabbutCalendarTab() {
    return this.disabbutCalendarTab;
  }
  
  public void setDisabbutCalendarTab(String newDisabbutCalendarTab) {
    this.disabbutCalendarTab = newDisabbutCalendarTab;
  }
}
